Show / Hide Table of Contents

# Enum ImGuiInputTextFlags

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    [Flags]
    public enum ImGuiInputTextFlags

### Fields

Name | Description
--- | ---
AllowTabInput |
AlwaysOverwrite |
AutoSelectAll |
CallbackAlways |
CallbackCharFilter |
CallbackCompletion |
CallbackEdit |
CallbackHistory |
CallbackResize |
CharsDecimal |
CharsHexadecimal |
CharsNoBlank |
CharsScientific |
CharsUppercase |
CtrlEnterForNewLine |
EnterReturnsTrue |
NoHorizontalScroll |
None |
NoUndoRedo |
Password |
ReadOnly |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()